.userImage {
  margin: 0 auto;
  box-shadow: 0 0 10px 1px black;
  overflow: hidden;
  border-radius: 10px;
  position: relative;

  &__overlay {
    overflow: hidden;
    background-color: rgba(0, 0, 0, 0.7);
    position: absolute;
    left: 0;
    right: 0;
    top: 100%;
    bottom: 100%;
    transition: .1s;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  & img {
    max-width: 100%;
  }

  &:hover &__overlay {
    top: 0;
    bottom: 0;
  }

  &__likes, &__comments {
    padding: 10px;
    color: white;
  }

  &__likes--count, &__comments--count {
    color: #ffc107;
    font-style: italic;
    font-size: 20px;
  }
}
